//
//  RSSIThresholdViewController.m
//  AsReader 6Combo
//
//  Created by Robin on 2018. 5. 8..
//

#import "RSSIThresholdViewController.h"
//#import "ComboDevices.h"
//#import "RcpRf"

@interface RSSIThresholdViewController ()<UITextFieldDelegate>
//RcpRFIDDelegate,RcpCommonDelegate

//@property (nonatomic, weak) CommonDevice                    *commonDevice;
//
@property (weak, nonatomic) IBOutlet UITextField *olEditThreshold;
//
@property(nonatomic,retain)   UIAlertView   *alert;
//
-(IBAction)btnSetThreshold:(id)sender;
@end

@implementation RSSIThresholdViewController
@synthesize rcp = _rcp;

-(IBAction)btnSetThreshold:(id)sender
{
    [_olEditThreshold resignFirstResponder];
    int nVal = [[_olEditThreshold text]intValue];
    [self.rcp setRSSIThreshold:nVal];
}

- (void)viewDidLoad {
    [super viewDidLoad];
    _olEditThreshold.delegate = self;
    //    _commonDevice                = [CommonDevice sharedInstance];
    //    _commonDevice.delegateCommon = self;
    self.rcp.delegate     = self;
    [self.rcp getRSSIThreshold];
    self.alert = [[UIAlertView alloc]initWithTitle:nil message:@"" delegate:nil cancelButtonTitle:nil otherButtonTitles:@"OK", nil];
}


- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
}

-(BOOL)textFieldShouldReturn:(UITextField *)textField{
    [_olEditThreshold resignFirstResponder];
    return YES;
}

-(void) showAlert:(NSString*)strMsg
{
    dispatch_async(dispatch_get_main_queue(),
                   ^{
                       [self.alert setMessage:strMsg];
                       [self.alert show];
                   });
}

- (void)ackReceived:(uint8_t)commandCode
{
    if(commandCode == 0x00)
    {
        [self showAlert:@"Success"];
    }
    else{
        [self showAlert:@"FAIL"];
    }
}

- (void)rssiThresholdReceived:(uint16_t)threshold
{
    dispatch_async(dispatch_get_main_queue(), ^{
        [_olEditThreshold setText:[NSString stringWithFormat:@"%d",threshold]];
    });
}

@end
