//
//  TagAccessController.m
//  AretePop
//
//  Created by Asterisk on 13. 6. 19..
//
//

#import "TagAccessController.h"
#import "ReadWriteController.h"
#import "LockController.h"
#import "KillController.h"
#import "EpcViewController.h"


@interface TagAccessController ()
@property (nonatomic, strong, readwrite) ReadWriteController *readWriteController;
@property (nonatomic, strong, readwrite) LockController *lockController;
@property (nonatomic, strong, readwrite) KillController *killController;
@property (nonatomic, strong, readwrite) EpcViewController *epcViewController;
@end

@implementation TagAccessController
@synthesize rcp = _rcp;
@synthesize epc = _epc;
@synthesize readWriteController = _readWriteController;
@synthesize lockController = _lockController;
@synthesize killController = _killController;

- (id)initWithStyle:(UITableViewStyle)style
{
    self = [super initWithStyle:style];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender
{
    if ([segue.identifier isEqualToString:@"segueReadWriteMemory"])
    {
        _readWriteController = segue.destinationViewController;
        _readWriteController.rcp = self.rcp;
        _readWriteController.epc = self.epc;
    }
    else if([segue.identifier isEqualToString:@"segueLockMemory"])
    {
        _lockController = segue.destinationViewController;
        _lockController.rcp = self.rcp;
        _lockController.epc = self.epc;
    }
    else if([segue.identifier isEqualToString:@"segueKillMemory"])
    {
        _killController = segue.destinationViewController;
        _killController.rcp = self.rcp;
        _killController.epc = self.epc;
    }
    else if ([segue.identifier isEqualToString:@"segueEpc"]){
        _epcViewController = segue.destinationViewController;
        _epcViewController.rcp = self.rcp;
        _epcViewController.epc = self.epc;
        _epcViewController.pcEpc = self.pcEpc;
    }
}

- (void)viewDidLoad
{
    [super viewDidLoad];

    // Uncomment the following line to preserve selection between presentations.
    // self.clearsSelectionOnViewWillAppear = NO;
 
    // Uncomment the following line to display an Edit button in the navigation bar for this view controller.
    // self.navigationItem.rightBarButtonItem = self.editButtonItem;
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

#pragma mark - Table view data source
/*
- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView
{
#warning Potentially incomplete method implementation.
    // Return the number of sections.
    return 0;
}
*/
/*
- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
#warning Incomplete method implementation.
    // Return the number of rows in the section.
    return 0;
}
*/
/*
- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    static NSString *CellIdentifier = @"Cell";
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier forIndexPath:indexPath];
    
    // Configure the cell...
    
    return cell;
}
*/
/*
// Override to support conditional editing of the table view.
- (BOOL)tableView:(UITableView *)tableView canEditRowAtIndexPath:(NSIndexPath *)indexPath
{
    // Return NO if you do not want the specified item to be editable.
    return YES;
}
*/

/*
// Override to support editing the table view.
- (void)tableView:(UITableView *)tableView commitEditingStyle:(UITableViewCellEditingStyle)editingStyle forRowAtIndexPath:(NSIndexPath *)indexPath
{
    if (editingStyle == UITableViewCellEditingStyleDelete) {
        // Delete the row from the data source
        [tableView deleteRowsAtIndexPaths:@[indexPath] withRowAnimation:UITableViewRowAnimationFade];
    }   
    else if (editingStyle == UITableViewCellEditingStyleInsert) {
        // Create a new instance of the appropriate class, insert it into the array, and add a new row to the table view
    }   
}
*/

/*
// Override to support rearranging the table view.
- (void)tableView:(UITableView *)tableView moveRowAtIndexPath:(NSIndexPath *)fromIndexPath toIndexPath:(NSIndexPath *)toIndexPath
{
}
*/

/*
// Override to support conditional rearranging of the table view.
- (BOOL)tableView:(UITableView *)tableView canMoveRowAtIndexPath:(NSIndexPath *)indexPath
{
    // Return NO if you do not want the item to be re-orderable.
    return YES;
}
*/

#pragma mark - Table view delegate

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
    // Navigation logic may go here. Create and push another view controller.
    /*
     <#DetailViewController#> *detailViewController = [[<#DetailViewController#> alloc] initWithNibName:@"<#Nib name#>" bundle:nil];
     // ...
     // Pass the selected object to the new view controller.
     [self.navigationController pushViewController:detailViewController animated:YES];
     */
}

@end
